$!-----------------------------------------------------------------------------
$! BUILD_QUERY.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! 04-OCT-98  MGD  unbundled version
$! 30-MAY-98  MGD  initial re-development
$!-----------------------------------------------------------------------------
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""QUERY"" & ""EXTRACT""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ DEFINES = "/DEFINE=(_VMS_V6_SOURCE=1,__VMS_VER=60000000,__CRTL_VER=60000000)"
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/DECC /NOOPT /STAND=VAXC 'DEFINES' /OBJECT=''OBJECT_DIR'"
$ ELSE
$    CC_OPTIONS = "/DECC /NOOPT /STAND=VAXC 'DEFINES' /OBJECT=''OBJECT_DIR'"
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' QUERY
$    CC 'CC_OPTIONS' EXTRACT
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /EXECUTABLE=QUERY_'ARCH_NAME'.EXE 'OBJECT_DIR'QUERY
$    LINK /EXECUTABLE=EXTRACT_'ARCH_NAME'.EXE 'OBJECT_DIR'EXTRACT
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ SET PROTECTION=W:RE QUERY_'ARCH_NAME'.EXE
$ SET PROTECTION=W:RE EXTRACT_'ARCH_NAME'.EXE
$ PURGE /NOLOG 'OBJECT_DIR'
$!
$!-----------------------------------------------------------------------------
